none
small program installer required component Framework!? RRS feed

  • General discussion

  • I developed a small program, when compiled, do not want the installer must require .Net Framework.

    can any body help me!

    Thursday, October 28, 2010 7:48 AM

All replies

  • What programming language and project type? If you used .NET to develop your application, it will require .NET to run. That's an inescapable fact of life, just as any Java application requires a Java Runtime Environment (JRE) to run.

    You have two choices: you can redevelop your app using a non-.NET language and project type (C++ Windows Application, for example), or you can create an installer that will minimize the impact of a .NET Framework install. Target the most commonly available Framework version (2.0), unless you require features in newer versions. Create an installer that will check for existing frameworks and only prompt for a framework install if none is found. For help with this type of setup, I suggest this forum:

    http://social.msdn.microsoft.com/Forums/en-US/winformssetup/threads

    Also, please realize that as time goes by, more and more potential users of your app will already have the needed framework. For example, both Windows Vista and Windows 7 come with 2.0 and 3.0 as an OS component. Windows 7 also includes 3.5 SP1.

     

     

    Thursday, October 28, 2010 2:22 PM